You need to enable JavaScript to run this app.
Torch Log Service

Torch Log Service

Copy page
Download PDF
Data processor API
ModifyProcessor
Copy page
Download PDF
ModifyProcessor
Use the ModifyProcessor API to update the name, description, DSL content, and other settings for a data processor.​
Request instructions​
  • Request method: PUT​
  • Request URL: https://{tls-endpoint}/ModifyProcessor​
Request parameters​
The following table lists unique request parameters for this API and certain common parameters. For more information, see Common parameters.​
Body​
​
Parameters​
Type​
Required​
Example value​
Description​
DSLContent​
String​
NOT​
f_rename("path", "newpath")​
Processor's DSL content.​
Defines specific logic or configuration for the processor. Length must be between 1 and 4,000 characters.​
Description​
String​
NOT​
This is a data processor​
Description for the data processor.​
Briefly explain the purpose or function of the data processor. Length must be between 1 and 255 characters.​
FailStrategy​
String​
NOT​
keep_raw​
Configure how to handle invalid log data​
  • keep_raw (default value): Write raw data directly.​
  • drop_log: Discard raw log.​
ProcessorId​
String​
Yes​
9e91e9e5-2063-4182-8eff-b7371500****​
Data processor ID.​
ProcessorName​
String​
NOT​
log_processor_1​
Name of the data processor.​
Used to uniquely identify a data processor. Length must be between 1 and 63 characters.​
​
Response parameters​
This interface does not have specific return parameters For more information, see Return Structure​
Sample request​
​
PUT https://{tls-endpoint}/ModifyProcessor HTTP/1.1​
Content-Type: application/json​
{​
"DSLContent": "f_rename("path", "newpath")",​
"Description": "This is a data processor",​
"FailStrategy": "keep_raw",​
"ProcessorId": "9e91e9e5-2063-4182-8eff-b7371500****",​
"ProcessorName": "log_processor_1"​
}​
​
Sample response​
​
Content-Type: application/json; charset=utf-8​
{}​
​
Error Code​
You can visit Common Error Codes for more details​
Last updated: 2026.05.07 11:17:18